Developers

API Documentation

This is the documentation for the available API endpoints, which are built around the REST architecture. All the API endpoints will return a JSON response with the standard HTTP response codes and need a Bearer Authentication via an API Key.

REST + JSON Bearer token 6 API sections

Quick start

API Key

Authentication

All the API endpoints require an API key sent by the Bearer Authentication method.

Example
$ curl --request GET \ --url 'https://proofdy.io/api/{endpoint}' \ --header 'Authorization: Bearer {api_key}' HTTP/1.1 200 OK { "data": { ... } }

User

Read your account details and plan. /api/user

GET https://proofdy.io/api/user
curl --request GET \
--url 'https://proofdy.io/api/user' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id":"1", "type":"users", "email":"example@example.com", "billing":{ "type":"personal", "name":"John Doe", "address":"Lorem Ipsum", "city":"Dolor Sit", "county":"Amet", "zip":"5000", "country":"", "phone":"", "tax_id":"", "is_enabled":true, "plan_id":"custom", "plan_expiration_date":"2025-12-12 00:00:00", "plan_settings":{ ... }, "plan_trial_done":false, "language":"english", "timezone":"UTC", "country":null, "datetime": "2026-11-18 11:27:17" "last_activity":"2020-01-01 00:00:00", "total_logins":10 } }

Campaigns

Create, list, update and delete campaigns. /api/campaigns

GET https://proofdy.io/api/campaigns/
curl --request GET \
--url 'https://proofdy.io/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{ "data": [ { "id": 1, "pixel_key": "1234567890abcdef", "name": "Example", "domain": "example.com", "branding": { "name": "", "url": "" }, "email_reports_is_enabled": true, "email_reports_last_datetime": "2019-05-22 23:40:17", "is_enabled": true, "last_datetime": null, "datetime": "2026-11-18 11:27:17" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://proofdy.io/api/campaigns?&page=1", "last": "https://proofdy.io/api/campaigns?&page=1", "next": null, "prev": null, "self": "https://proofdy.io/api/campaigns?&page=1" } }
GET https://proofdy.io/api/campaigns/{campaign_id}
curl --request GET \
--url 'https://proofdy.io/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "pixel_key": "1234567890abcdef", "name": "Example", "domain": "example.com", "branding": { "name": "", "url": "" }, "email_reports_is_enabled": true, "email_reports_last_datetime": "2019-05-22 23:40:17", "is_enabled": true, "last_datetime": null, "datetime": "2026-11-18 11:27:17" } }
POST https://proofdy.io/api/campaigns
Parameters Details Description
domain_id Optional Integer -
name Required String -
domain Required String -
branding_name Optional String -
branding_url Optional String -
email_reports Optional Array Notification handler ids
is_enabled Optional Boolean -
curl --request POST \
--url 'https://proofdy.io/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'domain=example.com' \
{ "data": { "id": 1 } }
POST https://proofdy.io/api/campaigns/{campaign_id}
Parameters Details Description
domain_id Optional Integer -
name Optional String -
domain Optional String -
branding_name Optional String -
branding_url Optional String -
email_reports Optional Array Notification handler ids
is_enabled Optional Boolean -
curl --request POST \
--url 'https://proofdy.io/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{ "data": { "id": 1 } }
DELETE https://proofdy.io/api/campaigns/{campaign_id}
curl --request DELETE \
--url 'https://proofdy.io/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \

Campaign notifications

Manage the widgets inside your campaigns. /api/notifications

GET https://proofdy.io/api/notifications/
curl --request GET \
--url 'https://proofdy.io/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{ "data": [ { "id": 1, "campaign_id": 1, "notification_key": "d4752d29a557a9fdc67b0a9a27cbe3b1", "name": "Email Collector", "type": "EMAIL_COLLECTOR", "settings": { ... }, "is_enabled": false, "last_datetime": null, "datetime": "2026-11-18 11:27:17" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://proofdy.io/api/notifications?&page=1", "last": "https://proofdy.io/api/notifications?&page=1", "next": null, "prev": null, "self": "https://proofdy.io/api/notifications?&page=1" } }
GET https://proofdy.io/api/notifications/{notification_id}
curl --request GET \
--url 'https://proofdy.io/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "campaign_id": 1, "notification_key": "d4752d29a557a9fdc67b0a9a27cbe3b1", "name": "Email Collector", "type": "EMAIL_COLLECTOR", "settings": { ... }, "is_enabled": false, "last_datetime": null, "datetime": "2026-11-18 11:27:17" } }
POST https://proofdy.io/api/notifications
Parameters Details Description
campaign_id Required Integer -
type Required String Allowed values: INFORMATIONAL , COUPON , LIVE_COUNTER , EMAIL_COLLECTOR , CONVERSIONS , CONVERSIONS_COUNTER , VIDEO , AUDIO , SOCIAL_SHARE , REVIEWS , EMOJI_FEEDBACK , COOKIE_NOTIFICATION , SCORE_FEEDBACK , REQUEST_COLLECTOR , COUNTDOWN_COLLECTOR , CUSTOM_HTML , INFORMATIONAL_BAR , IMAGE , COLLECTOR_BAR , COUPON_BAR , BUTTON_BAR , COLLECTOR_MODAL , COLLECTOR_TWO_MODAL , BUTTON_MODAL , TEXT_FEEDBACK , ENGAGEMENT_LINKS , WHATSAPP_CHAT , VIBER_CHAT , MESSENGER_CHAT , TELEGRAM_CHAT , CONTACT_US , INFORMATIONAL_MINI , INFORMATIONAL_BAR_MINI
name Optional String -
is_enabled Optional Boolean -
curl --request POST \
--url 'https://proofdy.io/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=INFORMATIONAL' \
--form 'is_enabled=1'
{ "data": { "id": 1 } }
POST https://proofdy.io/api/notifications/{notification_id}
Parameters Details Description
name Optional String -
is_enabled Optional Boolean -
trigger_all_pages Optional Boolean -
display_trigger Optional String Allowed values: delay, time_on_site, pageviews, inactivity, exit_intent, scroll, click, hover
display_value Optional String -
display_delay_type_after_close Optional String Allowed values: time_on_site, pageviews
display_delay_value_after_close Optional Integer -
display_frequency Optional String Allowed values: all_time, once_per_session, once_per_browser
direction Optional String Allowed values: rtl, ltr
display_continents Optional Array String -
display_countries Optional Array String -
display_languages Optional Array String -
display_operating_systems Optional Array String -
display_browsers Optional Array String -
display_cities Optional Array String -
display_mobile Optional Boolean -
display_desktop Optional Boolean -
schedule Optional Boolean -
start_date Optional String -
end_date Optional String -
display_duration Optional Integer -
display_position Optional String Allowed values: top_left, top_center, top_right, middle_left, middle_center, middle_right, bottom_left, bottom_center, bottom_right, top, bottom, top_floating, bottom_floating
display_close_button Optional Boolean -
display_branding Optional Boolean -
shadow Optional String Allowed values: , subtle, feather, 3d, layered
border_width Optional Integer Allowed values: 0, 1, 2, 3, 4, 5
internal_padding Optional Integer Allowed values: 5-25
background_blur Optional Integer Allowed values: 0-30
custom_css Optional String -
hover_animation Optional String Allowed values: , fast_scale_up, slow_scale_up, fast_scale_down, slow_scale_down
on_animation Optional String Allowed values: fadeIn, slideInUp, slideInDown, zoomIn, bounceIn
off_animation Optional String Allowed values: fadeOut, slideOutUp, slideOutDown, zoomOut, bounceOut
animation Optional String Allowed values: , heartbeat, bounce, flash, pulse
animation_interval Optional Integer -
font Optional String Allowed values: inherit, Arial, Verdana, Helvetica, Tahoma, Trebuchet MS, Times New Roman, Georgia, Courier New, Monaco, Comic Sans MS, Courier, Impact, Futura, Luminari, Baskerville, Papyrus, Brush Script MT
border_radius Optional String Allowed values: straight, rounded, highly_rounded, round
notifications Optional Array Available when: type = email_collector, collector_bar, collector_modal, collector_two_modal, conversions, conversions_counter, countdown_collector, request_collector, text_feedback Notification handler ids
informational
title Optional String Available when: type = informational
description Optional String Available when: type = informational
image Optional File Available when: type = informational
image_alt Optional String Available when: type = informational
url Optional String Available when: type = informational
url_new_tab Optional Boolean Available when: type = informational
title_color Optional String Available when: type = informational
description_color Optional String Available when: type = informational
background_color Optional String Available when: type = informational
informational_mini
title Optional String Available when: type = informational_mini
image Optional File Available when: type = informational_mini
image_alt Optional String Available when: type = informational_mini
url Optional String Available when: type = informational_mini
url_new_tab Optional Boolean Available when: type = informational_mini
title_color Optional String Available when: type = informational_mini
description_color Optional String Available when: type = informational_mini
background_color Optional String Available when: type = informational_mini
coupon
title Optional String Available when: type = coupon
description Optional String Available when: type = coupon
image Optional File Available when: type = coupon
image_alt Optional String Available when: type = coupon
coupon_code Optional String Available when: type = coupon
button_url Optional String Available when: type = coupon
url_new_tab Optional Boolean Available when: type = coupon
button_text Optional String Available when: type = coupon
title_color Optional String Available when: type = coupon
description_color Optional String Available when: type = coupon
background_color Optional String Available when: type = coupon
button_background_color Optional String Available when: type = coupon
button_color Optional String Available when: type = coupon
live_counter
description Optional String Available when: type = live_counter
last_activity Optional String Available when: type = live_counter
url Optional String Available when: type = live_counter
url_new_tab Optional Boolean Available when: type = live_counter
display_minimum_activity Optional Integer Available when: type = live_counter
description_color Optional String Available when: type = live_counter
background_color Optional String Available when: type = live_counter
number_background_color Optional String Available when: type = live_counter
number_color Optional String Available when: type = live_counter
pulse_background_color Optional String Available when: type = live_counter
email_collector
conversions
title Optional String Available when: type = conversions
description Optional String Available when: type = conversions
image Optional File Available when: type = conversions
image_alt Optional String Available when: type = conversions
url Optional String Available when: type = conversions
url_new_tab Optional Boolean Available when: type = conversions
conversions_count Optional Integer Available when: type = conversions
in_between_delay Optional Integer Available when: type = conversions
order Optional String Available when: type = conversions
Allowed values: random, descending
data_trigger_auto Optional Boolean Available when: type = conversions
data_trigger_auto_type[index] Optional Array String Available when: type = conversions
Allowed values: exact , contains , starts_with , ends_with
data_trigger_auto_value[index] Optional Array String Available when: type = conversions
title_color Optional String Available when: type = conversions
description_color Optional String Available when: type = conversions
date_color Optional String Available when: type = conversions
background_color Optional String Available when: type = conversions
conversions counter
title Optional String Available when: type = conversions counter
last_activity Optional String Available when: type = conversions counter
url Optional String Available when: type = conversions counter
url_new_tab Optional Boolean Available when: type = conversions counter
display_minimum_activity Optional String Available when: type = conversions counter
title_color Optional String Available when: type = conversions counter
background_color Optional String Available when: type = conversions counter
number_background_color Optional String Available when: type = conversions counter
number_color Optional String Available when: type = conversions counter
data_trigger_auto Optional Boolean Available when: type = conversions counter
data_trigger_auto_type[index] Optional Array String Available when: type = conversions
Allowed values: exact , contains , starts_with , ends_with
data_trigger_auto_value[index] Optional Array String Available when: type = conversions
video
title Optional String Available when: type = video
video Optional File Available when: type = video
video_is_youtube Optional Boolean Available when: type = video
youtube_video_id Optional String Available when: type = video
video_autoplay Optional Boolean Available when: type = video
video_controls Optional Boolean Available when: type = video
video_loop Optional Boolean Available when: type = video
video_muted Optional Boolean Available when: type = video
button_url Optional String Available when: type = video
button_text Optional String Available when: type = video
url_new_tab Optional Boolean Available when: type = video
title_color Optional String Available when: type = video
background_color Optional String Available when: type = video
button_background_color Optional String Available when: type = video
button_color Optional String Available when: type = video
audio
title Optional String Available when: type = audio
audio Optional File Available when: type = audio
audio_autoplay Optional Boolean Available when: type = audio
audio_controls Optional Boolean Available when: type = audio
audio_loop Optional Boolean Available when: type = audio
audio_muted Optional Boolean Available when: type = audio
button_url Optional String Available when: type = audio
button_text Optional String Available when: type = audio
url_new_tab Optional Boolean Available when: type = audio
title_color Optional String Available when: type = audio
background_color Optional String Available when: type = audio
button_background_color Optional String Available when: type = audio
button_color Optional String Available when: type = audio
social_share
reviews
url Optional String Available when: type = reviews
url_new_tab Optional Boolean Available when: type = reviews
reviews_count Optional missing_translation: api_documentation.integer Available when: type = reviews
in_between_delay Optional missing_translation: api_documentation.integer Available when: type = reviews
order Optional String Available when: type = reviews
title missing_translation: api_documentation.default String Available when: type = reviews
description missing_translation: api_documentation.default String Available when: type = reviews
image missing_translation: api_documentation.default File Available when: type = reviews
stars missing_translation: api_documentation.default missing_translation: api_documentation.integer Available when: type = reviews
title_color Optional String Available when: type = reviews
description_color Optional String Available when: type = reviews
background_color Optional String Available when: type = reviews
emoji_feedback
title Optional String Available when: type = emoji_feedback
thank_you_url Optional String Available when: type = emoji_feedback
show_angry Optional Boolean Available when: type = emoji_feedback
show_sad Optional Boolean Available when: type = emoji_feedback
show_neutral Optional Boolean Available when: type = emoji_feedback
show_happy Optional Boolean Available when: type = emoji_feedback
show_excited Optional Boolean Available when: type = emoji_feedback
title_color Optional String Available when: type = emoji_feedback
background_color Optional String Available when: type = emoji_feedback
cookie_notification
score_feedback
title Optional String Available when: type = score_feedback
description Optional String Available when: type = score_feedback
thank_you_url Optional String Available when: type = score_feedback
title_color Optional String Available when: type = score_feedback
description_color Optional String Available when: type = score_feedback
background_color Optional String Available when: type = score_feedback
button_background_color Optional String Available when: type = score_feedback
button_color Optional String Available when: type = score_feedback
request_collector
title Optional String Available when: type = request_collector
description Optional String Available when: type = request_collector
image Optional File Available when: type = request_collector
image_alt Optional String Available when: type = request_collector
content_title Optional String Available when: type = request_collector
content_description Optional String Available when: type = request_collector
input_placeholder Optional String Available when: type = request_collector
button_text Optional String Available when: type = request_collector
show_agreement Optional Boolean Available when: type = request_collector
agreement_text Optional String Available when: type = request_collector
agreement_url Optional String Available when: type = request_collector
thank_you_url Optional String Available when: type = request_collector
title_color Optional String Available when: type = request_collector
description_color Optional String Available when: type = request_collector
content_title_color Optional String Available when: type = request_collector
content_description_color Optional String Available when: type = request_collector
background_color Optional String Available when: type = request_collector
button_background_color Optional String Available when: type = request_collector
button_color Optional String Available when: type = request_collector
countdown_collector
title Optional String Available when: type = countdown_collector
description Optional String Available when: type = countdown_collector
content_title Optional String Available when: type = countdown_collector
input_placeholder Optional String Available when: type = countdown_collector
button_text Optional String Available when: type = countdown_collector
countdown_end_date Optional String Available when: type = countdown_collector
show_agreement Optional Boolean Available when: type = countdown_collector
agreement_text Optional String Available when: type = countdown_collector
agreement_url Optional String Available when: type = countdown_collector
thank_you_url Optional String Available when: type = countdown_collector
title_color Optional String Available when: type = countdown_collector
description_color Optional String Available when: type = countdown_collector
content_title_color Optional String Available when: type = countdown_collector
time_color Optional String Available when: type = countdown_collector
time_background_color Optional String Available when: type = countdown_collector
background_color Optional String Available when: type = countdown_collector
button_background_color Optional String Available when: type = countdown_collector
button_color Optional String Available when: type = countdown_collector
custom_html
html Optional String Available when: type = custom_html
background_color Optional String Available when: type = custom_html
informational_bar
title Optional String Available when: type = informational_bar
description Optional String Available when: type = informational_bar
image Optional File Available when: type = informational_bar
image_alt Optional Float Available when: type = informational_bar
url Optional Float Available when: type = informational_bar
url_new_tab Optional Boolean Available when: type = informational_bar
title_color Optional String Available when: type = informational_bar
description_color Optional String Available when: type = informational_bar
background_color Optional String Available when: type = informational_bar
informational_bar_mini
title Optional String Available when: type = informational_bar_mini
image Optional File Available when: type = informational_bar_mini
image_alt Optional Float Available when: type = informational_bar_mini
url Optional Float Available when: type = informational_bar_mini
url_new_tab Optional Boolean Available when: type = informational_bar_mini
title_color Optional String Available when: type = informational_bar_mini
description_color Optional String Available when: type = informational_bar_mini
background_color Optional String Available when: type = informational_bar_mini
image
title Optional String Available when: type = image
image Optional File Available when: type = image
image_alt Optional String Available when: type = image
button_url Optional String Available when: type = image
button_text Optional String Available when: type = image
title_color Optional String Available when: type = image
background_color Optional String Available when: type = image
button_background_color Optional String Available when: type = image
button_color Optional String Available when: type = image
collector_bar
title Optional String Available when: type = collector_bar
input_placeholder Optional String Available when: type = collector_bar
button_text Optional String Available when: type = collector_bar
show_agreement Optional Boolean Available when: type = collector_bar
agreement_text Optional String Available when: type = collector_bar
agreement_url Optional String Available when: type = collector_bar
thank_you_url Optional String Available when: type = collector_bar
title_color Optional String Available when: type = collector_bar
background_color Optional String Available when: type = collector_bar
button_background_color Optional String Available when: type = collector_bar
button_color Optional String Available when: type = collector_bar
coupon_bar
title Optional String Available when: type = coupon_bar
coupon_code Optional String Available when: type = coupon_bar
url Optional Float Available when: type = coupon_bar
url_new_tab Optional Boolean Available when: type = coupon_bar
title_color Optional String Available when: type = coupon_bar
background_color Optional String Available when: type = coupon_bar
coupon_code_color Optional String Available when: type = coupon_bar
coupon_code_background_color Optional String Available when: type = coupon_bar
coupon_code_border_color Optional String Available when: type = coupon_bar
button_bar
title Optional String Available when: type = button_bar
button_text Optional String Available when: type = button_bar
url Optional String Available when: type = button_bar
url_new_tab Optional Boolean Available when: type = button_bar
title_color Optional String Available when: type = button_bar
background_color Optional String Available when: type = button_bar
button_color Optional String Available when: type = button_bar
button_background_color Optional String Available when: type = button_bar
collector_modal
title Optional String Available when: type = collector_modal
description Optional String Available when: type = collector_modal
image Optional File Available when: type = collector_modal
image_alt Optional String Available when: type = collector_modal
input_placeholder Optional String Available when: type = collector_modal
button_text Optional String Available when: type = collector_modal
show_agreement Optional Boolean Available when: type = collector_modal
agreement_text Optional String Available when: type = collector_modal
agreement_url Optional String Available when: type = collector_modal
thank_you_url Optional String Available when: type = collector_modal
title_color Optional String Available when: type = collector_modal
description_color Optional String Available when: type = collector_modal
background_color Optional String Available when: type = collector_modal
button_background_color Optional String Available when: type = collector_modal
button_color Optional String Available when: type = collector_modal
collector_two_modal
title Optional String Available when: type = collector_two_modal
description Optional String Available when: type = collector_two_modal
image Optional File Available when: type = collector_two_modal
image_alt Optional String Available when: type = collector_two_modal
input_placeholder Optional String Available when: type = collector_two_modal
button_text Optional String Available when: type = collector_two_modal
show_agreement Optional Boolean Available when: type = collector_two_modal
agreement_text Optional String Available when: type = collector_two_modal
agreement_url Optional String Available when: type = collector_two_modal
thank_you_url Optional String Available when: type = collector_two_modal
title_color Optional String Available when: type = collector_two_modal
description_color Optional String Available when: type = collector_two_modal
background_color Optional String Available when: type = collector_two_modal
button_background_color Optional String Available when: type = collector_two_modal
button_color Optional String Available when: type = collector_two_modal
button_modal
title Optional String Available when: type = button_modal
description Optional String Available when: type = button_modal
image Optional File Available when: type = button_modal
image_alt Optional String Available when: type = button_modal
button_text Optional String Available when: type = button_modal
button_url Optional String Available when: type = button_modal
url_new_tab Optional Boolean Available when: type = button_modal
title_color Optional String Available when: type = button_modal
description_color Optional String Available when: type = button_modal
background_color Optional String Available when: type = button_modal
button_background_color Optional String Available when: type = button_modal
button_color Optional String Available when: type = button_modal
text_feedback
title Optional String Available when: type = text_feedback
description Optional String Available when: type = text_feedback
input_placeholder Optional String Available when: type = text_feedback
button_text Optional String Available when: type = text_feedback
thank_you_url Optional String Available when: type = text_feedback
title_color Optional String Available when: type = text_feedback
description_color Optional String Available when: type = text_feedback
background_color Optional String Available when: type = text_feedback
button_background_color Optional String Available when: type = text_feedback
button_color Optional String Available when: type = text_feedback
engagement_links
title_color Optional String Available when: type = text_feedback
categories_title_color Optional String Available when: type = text_feedback
categories_description_color Optional String Available when: type = text_feedback
categories_links_title_color Optional String Available when: type = text_feedback
categories_links_description_color Optional String Available when: type = text_feedback
categories_links_background_color Optional String Available when: type = text_feedback
categories_links_border_color Optional String Available when: type = text_feedback
background_color Optional String Available when: type = text_feedback
whatsapp_chat
title Optional String Available when: type = whatsapp_chat
agent_image Optional File Available when: type = whatsapp_chat
agent_image_alt Optional String Available when: type = whatsapp_chat
agent_name Optional String Available when: type = whatsapp_chat
agent_description Optional String Available when: type = whatsapp_chat
agent_message Optional String Available when: type = whatsapp_chat
agent_phone_number Optional String Available when: type = whatsapp_chat
button_text Optional String Available when: type = whatsapp_chat
header_agent_name_color Optional String Available when: type = whatsapp_chat
header_agent_description_color Optional String Available when: type = whatsapp_chat
header_background_color Optional String Available when: type = whatsapp_chat
content_background_color Optional String Available when: type = whatsapp_chat
content_agent_name_color Optional String Available when: type = whatsapp_chat
content_agent_message_color Optional String Available when: type = whatsapp_chat
content_agent_message_background_color Optional String Available when: type = whatsapp_chat
footer_background_color Optional String Available when: type = whatsapp_chat
footer_button_background_color Optional String Available when: type = whatsapp_chat
footer_button_color Optional String Available when: type = whatsapp_chat
title_color Optional String Available when: type = whatsapp_chat
background_color Optional String Available when: type = whatsapp_chat
contact_us
title Optional String Available when: type = contact_us
description Optional String Available when: type = contact_us
contact_email Optional String Available when: type = contact_us
contact_phone_number Optional String Available when: type = contact_us
contact_whatsapp Optional String Available when: type = contact_us
contact_telegram Optional String Available when: type = contact_us
contact_facebook_messenger Optional String Available when: type = contact_us
title_color Optional String Available when: type = contact_us
description_color Optional String Available when: type = contact_us
background_color Optional String Available when: type = contact_us
curl --request POST \
--url 'https://proofdy.io/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
{ "data": { "id": 1 } }
DELETE https://proofdy.io/api/notifications/{notification_id}
curl --request DELETE \
--url 'https://proofdy.io/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \

Notification handlers

Email, Slack, webhooks and other alerts. /api/notification-handlers

GET https://proofdy.io/api/notification-handlers/
curl --request GET \
--url 'https://proofdy.io/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{ "data": [ { "id": 1, "type": "email", "name": "Work email", "settings": { "email": "hey@example.com" }, "is_enabled": true, "last_datetime": null, "datetime": "2026-11-18 11:27:17" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://proofdy.io/api/notification-handlers?&page=1", "last": "https://proofdy.io/api/notification-handlers?&page=1", "next": null, "prev": null, "self": "https://proofdy.io/api/notification-handlers?&page=1" } }
GET https://proofdy.io/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://proofdy.io/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "type": "email", "name": "Work email", "settings": { "email": "hey@example.com" }, "is_enabled": true, "last_datetime": null, "datetime": "2026-11-18 11:27:17" } }
POST https://proofdy.io/api/notification-handlers
Parameters Details Description
name Required String -
type Required String Allowed values: email , webhook , slack , discord , telegram , microsoft_teams , twilio , whatsapp , x
email Optional String Available when: type = email Email
webhook Optional String Available when: type = webhook Webhook URL
slack Optional String Available when: type = slack Slack webhook URL
discord Optional String Available when: type = discord Discord webhook URL
telegram Optional String Available when: type = telegram Telegram API Token
telegram_chat_id Optional String Available when: type = telegram Telegram Chat ID
x_consumer_key Optional String Available when: type = x Telegram API Token
x_consumer_secret Optional String Available when: type = x Telegram API Token
x_access_token Optional String Available when: type = x Telegram API Token
x_access_token_secret Optional String Available when: type = x Telegram API Token
twilio Optional String Available when: type = twilio Phone number
whatsapp Optional String Available when: type = whatsapp Phone number
curl --request POST \
--url 'https://proofdy.io/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{ "data": { "id": 1 } }
POST https://proofdy.io/api/notification-handlers/{notification_handler_id}
Parameters Details Description
name Optional String -
type Optional String Allowed values: email , webhook , slack , discord , telegram , microsoft_teams , twilio , whatsapp , x
email Optional String Available when: type = email Email
webhook Optional String Available when: type = webhook Webhook URL
slack Optional String Available when: type = slack Slack webhook URL
discord Optional String Available when: type = discord Discord webhook URL
telegram Optional String Available when: type = telegram Telegram API Token
telegram_chat_id Optional String Available when: type = telegram Telegram Chat ID
x_consumer_key Optional String Available when: type = x Telegram API Token
x_consumer_secret Optional String Available when: type = x Telegram API Token
x_access_token Optional String Available when: type = x Telegram API Token
x_access_token_secret Optional String Available when: type = x Telegram API Token
twilio Optional String Available when: type = twilio Phone number
whatsapp Optional String Available when: type = whatsapp Phone number
is_enabled Optional Boolean -
curl --request POST \
--url 'https://proofdy.io/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{ "data": { "id": 1 } }
DELETE https://proofdy.io/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://proofdy.io/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \

Account payments

Your payments and invoices history. /api/payments

GET https://proofdy.io/api/payments/
curl --request GET \
--url 'https://proofdy.io/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{ "data": [ { "id": 1, "plan_id": 1, "processor": "stripe", "type": "one_time", "frequency": "monthly", "email": "example@example.com", "name": null, "total_amount": "4.99", "currency": "USD", "status": true, "datetime": 2026-11-18 11:27:17 }, ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://proofdy.io/api/payments?&page=1", "last": "https://proofdy.io/api/payments?&page=1", "next": null, "prev": null, "self": "https://proofdy.io/api/payments?&page=1" } }
GET https://proofdy.io/api/payments/{payment_id}
curl --request GET \
--url 'https://proofdy.io/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "plan_id": 1, "processor": "stripe", "type": "one_time", "frequency": "monthly", "email": "example@example.com", "name": null, "total_amount": "4.99", "currency": "USD", "status": true, "datetime": 2026-11-18 11:27:17 } }

Account logs

Activity logs of your account. /api/logs

GET https://proofdy.io/api/logs/
curl --request GET \
--url 'https://proofdy.io/api/logs/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{ "data": [ { "type": "login.success", "ip": "127.0.0.1", "device_type": "mobile", "continent_code": "EU", "country_code": "IT", "city_name": "Rome", "datetime": "2026-11-18 11:27:17" }, ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://proofdy.io/api/logs?&page=1", "last": "https://proofdy.io/api/logs?&page=1", "next": null, "prev": null, "self": "https://proofdy.io/api/logs?&page=1" } }